Bug 184084 - /etc/init.d/snortd starts snortd with wrong path to snort.conf
/etc/init.d/snortd starts snortd with wrong path to snort.conf
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: snort (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dennis Gilmore
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-05 22:52 EST by Chong Kai Xiong
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-29 23:53:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to change config file path (358 bytes, patch)
2006-03-05 22:52 EST, Chong Kai Xiong
no flags Details | Diff

  None (edit)
Description Chong Kai Xiong 2006-03-05 22:52:34 EST
Description of problem:
/etc/init.d/snortd starts snort with -c /etc/snort/snort.conf but snort.conf is
located in /etc/. 'service snortd start' fails to start snort as a result even
though [OK] is printed.

Version-Release number of selected component (if applicable):
snort-2.4.3-1.fc4

How reproducible:
Always

Steps to Reproduce:
1. service snortd start
2. pgrep snort
  
Actual results:
snort is terminated with a fatal error logged in /var/log/messages. Step (2)
prints nothing.

Expected results:
snort running and step (2) would reveal its PID

Additional info:
None
Comment 1 Chong Kai Xiong 2006-03-05 22:52:34 EST
Created attachment 125692 [details]
Patch to change config file path
Comment 2 Chong Kai Xiong 2006-03-05 23:08:17 EST
I just noticed 2 more disturbing problems.

a. snort.conf includes several rules files that do not exist and are not
distributed with the RPM.

b. snort.conf refers to unicode.map under the configuration of http_inspect.
That file does not exist and is not installed either.
Comment 3 Dennis Gilmore 2006-03-05 23:48:14 EST
I need to add a README file you have to download the rules from snort.org they 
do not license them under GPL  and we can not redistribute them. 
 
 
thnaks  for the patch 
Comment 4 Chong Kai Xiong 2006-03-07 05:28:31 EST
Ah interesting, I didn't notice they were licensed separately.
Comment 5 Dennis Gilmore 2006-03-29 23:53:16 EST
fixed package  to put files in /etc/snort/ 

Note You need to log in before you can comment on or make changes to this bug.